EDIT - task #9208

Move cdmlib-print and cdmib-remote to taxeditor.printpublisher
08/25/2020 10:33 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal

Description

These 2 dependencies are only used for print publisher. As printpublisher may become an optional plugin in future it makes no sense
to keep them in taxeditor.cdmlib

This also includes dependecies of these 2 libraries. If needed for print publisher they should be moved there, otherwise they should
be fully removed from taxeditor dependencies.

Related issues:
Related to EDIT - feature request #9204: Update cdmlib and taxeditor dependen... Closed
Precedes EDIT - bug #9351: Include new locations for cdmlib-print and cdmlib-... Closed

Associated revisions

Revision 62c4ea8a - 08/25/2020 10:34 PM - Andreas Miiller
ref #9204 , ref #9208 move cdmlib-remote and cdmlib-print to taxeditor.printpublisher

Revision e6687863 - 08/25/2020 11:11 PM - Andreas Miiller

ref #9208 move TermRepresentation_L10n, LocaleContext and KeyTerm_L10n from remote to service (to have in taxeditor.cdmlib)

Revision 0667090 - 08/25/2020 11:19 PM - Andreas Miiller

ref #9208 rename service.i18n to service.l10n

Revision e1¢30665 - 08/25/2020 11:31 PM - Andreas Miiller
ref #9208 adapt taxeditor to new 110n package

Revision af3317d9 - 08/25/2020 11:33 PM - Andreas Miiller

ref #9208 finally remove cdmlib-remote and cdmlib-print from taxeditor.cdmlib

Revision 59322a57 - 08/26/2020 12:02 AM - Andreas Miiller

ref #9208 move TermRepresentation_L10n, LocaleContext and KeyTerm_L10n from remote to service (cont.)

History

#1 - 08/25/2020 10:34 PM - Andreas Miiller
- Related to feature request #9204: Update cdmlib and taxeditor dependencies added

#2 - 12/03/2020 05:56 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#3 - 12/18/2020 11:13 PM - Andreas Miiller
- Status changed from New to Closed

- % Done changed from 0 to 100

| think we can close this ticket.

There is a very important follow up ticket #9351 (assigned to AK) that needs to be fixed before the next release.
https://dev.e-taxonomy.eu/redmine/issues/9351

#4 - 12/18/2020 11:14 PM - Andreas Miiller

- Precedes bug #9351: Include new locations for cdmlib-print and cdmlib-remote in jenkins release script added
